# MSP::CCS::GeoidLibrary Class Reference

`#include <GeoidLibrary.h>`

List of all members.

## Public Member Functions

| ~GeoidLibrary (void)
void | convertEllipsoidToEGM96FifteenMinBilinearGeoidHeight (double longitude, double latitude, double ellipsoidHeight, double *geoidHeight)
void | convertEllipsoidToEGM96VariableNaturalSplineHeight (double longitude, double latitude, double ellipsoidHeight, double *geoidHeight)
void | convertEllipsoidToEGM84TenDegBilinearHeight (double longitude, double latitude, double ellipsoidHeight, double *geoidHeight)
void | convertEllipsoidToEGM84TenDegNaturalSplineHeight (double longitude, double latitude, double ellipsoidHeight, double *geoidHeight)
void | convertEllipsoidToEGM84ThirtyMinBiLinearHeight (double longitude, double latitude, double ellipsoidHeight, double *geoidHeight)
void | convertEGM96FifteenMinBilinearGeoidToEllipsoidHeight (double longitude, double latitude, double geoidHeight, double *ellipsoidHeight)
void | convertEGM96VariableNaturalSplineToEllipsoidHeight (double longitude, double latitude, double geoidHeight, double *ellipsoidHeight)
void | convertEGM84TenDegBilinearToEllipsoidHeight (double longitude, double latitude, double geoidHeight, double *ellipsoidHeight)
void | convertEGM84TenDegNaturalSplineToEllipsoidHeight (double longitude, double latitude, double geoidHeight, double *ellipsoidHeight)
void | convertEGM84ThirtyMinBiLinearToEllipsoidHeight (double longitude, double latitude, double geoidHeight, double *ellipsoidHeight)

## Static Public Member Functions

static GeoidLibrary * | getInstance ()
static void | removeInstance ()

## Protected Member Functions

| GeoidLibrary ()
| GeoidLibrary (const GeoidLibrary &gl)
GeoidLibrary & | operator= (const GeoidLibrary &gl)

## Friends

class | GeoidLibraryCleaner

## Detailed Description

Definition at line 78 of file GeoidLibrary.h.

## Constructor & Destructor Documentation

GeoidLibrary::~GeoidLibrary | ( | void |  | ) |

Definition at line 325 of file GeoidLibrary.cpp.

GeoidLibrary::GeoidLibrary | ( |  | ) | `[protected]`

Definition at line 313 of file GeoidLibrary.cpp.

GeoidLibrary::GeoidLibrary | ( | const GeoidLibrary & | gl | ) | `[protected]`

Definition at line 319 of file GeoidLibrary.cpp.

## Member Function Documentation

void GeoidLibrary::convertEGM84TenDegBilinearToEllipsoidHeight | ( | double | longitude,
|  | double | latitude,
|  | double | geoidHeight,
|  | double * | ellipsoidHeight |
| ) |  |  |

Definition at line 661 of file GeoidLibrary.cpp.

void GeoidLibrary::convertEGM84TenDegNaturalSplineToEllipsoidHeight | ( | double | longitude,
|  | double | latitude,
|  | double | geoidHeight,
|  | double * | ellipsoidHeight |
| ) |  |  |

Definition at line 686 of file GeoidLibrary.cpp.

void GeoidLibrary::convertEGM84ThirtyMinBiLinearToEllipsoidHeight | ( | double | longitude,
|  | double | latitude,
|  | double | geoidHeight,
|  | double * | ellipsoidHeight |
| ) |  |  |

Definition at line 715 of file GeoidLibrary.cpp.

void GeoidLibrary::convertEGM96FifteenMinBilinearGeoidToEllipsoidHeight | ( | double | longitude,
|  | double | latitude,
|  | double | geoidHeight,
|  | double * | ellipsoidHeight |
| ) |  |  |

Definition at line 565 of file GeoidLibrary.cpp.

void GeoidLibrary::convertEGM96VariableNaturalSplineToEllipsoidHeight | ( | double | longitude,
|  | double | latitude,
|  | double | geoidHeight,
|  | double * | ellipsoidHeight |
| ) |  |  |

Definition at line 590 of file GeoidLibrary.cpp.

void GeoidLibrary::convertEllipsoidToEGM84TenDegBilinearHeight | ( | double | longitude,
|  | double | latitude,
|  | double | ellipsoidHeight,
|  | double * | geoidHeight |
| ) |  |  |

Definition at line 479 of file GeoidLibrary.cpp.

void GeoidLibrary::convertEllipsoidToEGM84TenDegNaturalSplineHeight | ( | double | longitude,
|  | double | latitude,
|  | double | ellipsoidHeight,
|  | double * | geoidHeight |
| ) |  |  |

Definition at line 508 of file GeoidLibrary.cpp.

void GeoidLibrary::convertEllipsoidToEGM84ThirtyMinBiLinearHeight | ( | double | longitude,
|  | double | latitude,
|  | double | ellipsoidHeight,
|  | double * | geoidHeight |
| ) |  |  |

Definition at line 537 of file GeoidLibrary.cpp.

void GeoidLibrary::convertEllipsoidToEGM96FifteenMinBilinearGeoidHeight | ( | double | longitude,
|  | double | latitude,
|  | double | ellipsoidHeight,
|  | double * | geoidHeight |
| ) |  |  |

Definition at line 379 of file GeoidLibrary.cpp.

void GeoidLibrary::convertEllipsoidToEGM96VariableNaturalSplineHeight | ( | double | longitude,
|  | double | latitude,
|  | double | ellipsoidHeight,
|  | double * | geoidHeight |
| ) |  |  |

Definition at line 408 of file GeoidLibrary.cpp.

GeoidLibrary * GeoidLibrary::getInstance | ( |  | ) | `[static]`

Definition at line 273 of file GeoidLibrary.cpp.

GeoidLibrary & GeoidLibrary::operator= | ( | const GeoidLibrary & | gl | ) | `[protected]`

Definition at line 333 of file GeoidLibrary.cpp.

void GeoidLibrary::removeInstance | ( |  | ) | `[static]`

Definition at line 285 of file GeoidLibrary.cpp.

## Friends And Related Function Documentation

friend class GeoidLibraryCleaner `[friend]`

Definition at line 80 of file GeoidLibrary.h.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/GeoidLibrary.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/GeoidLibrary.cpp